function OnPickup()
{
    // Fix model being scaled by default:
    self.SetModelScale(0.85, 0);

	local playerClass = activator.GetPlayerClass();

    local slowDown = 0.8;

    switch (playerClass) {

        // TF_CLASS_SCOUT
        case 1: 
            slowDown = 0.65;
            break;

        // TF_CLASS_SNIPER
        case 2: 
            slowDown = 0.8;
            break;

        // TF_CLASS_SOLDIER
        case 3: 
            slowDown = 0.95;
            break;

        // TF_CLASS_DEMOMAN
        case 4: 
            slowDown = 0.8;
            break;

        // TF_CLASS_MEDIC
        case 5: 
            slowDown = 0.7;
            break;

        // TF_CLASS_HEAVYWEAPONS
        case 6: 
            slowDown = 0.95;
            break;

        // TF_CLASS_PYRO
        case 7: 
            slowDown = 0.7;
            break;

        // TF_CLASS_SPY
        case 8: 
            slowDown = 0.7;
            break;

        // TF_CLASS_ENGINEER
        case 9: 
            slowDown = 0.7;
            break;
    }
	
    // Add slow down
    activator.AddCustomAttribute("move speed penalty", slowDown, -1);

    // Add stunned effect
    activator.AddCond(15);

	//printl(playerClass);
    //printl(slowDown);
}

function OnDropOrCapture()
{
    // Reset model scale:
    self.SetModelScale(0.95, 0);

	// Remove slow down
    activator.RemoveCustomAttribute("move speed penalty");

    // Remove stunned effect
    activator.RemoveCond(15);

}

self.ConnectOutput("OnPickup1", "OnPickup");
self.ConnectOutput("OnDrop1", "OnDropOrCapture");
self.ConnectOutput("OnCapture1", "OnDropOrCapture");
